﻿@model Model.Department.DepartmentModel
@{
    ViewData["Title"] = "CreateDepartment";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div id="content">
    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800">Thêm mới phòng ban</h1>

        <div class="form-group"></div>
        <form id="CreatePlace" action="#" method="post">
            <div class="col-lg-12 col-xl-8">
                <div class="form-group row">
                    <label class="col-md-12 col-lg-4 label-control">Công ty<span class="text-danger">*</span></label>
                    <div class="col-md-12 col-lg-8">
                        <select asp-for="CompanyId" class="form-control listCompany" asp-items="@ViewBag.GetListCompanyForCombo">
                            <option>Chọn...</option>
                        </select>
                        <span asp-validation-for="CompanyId" class="text-danger"></span>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-12 col-lg-4 label-control">Mã phòng ban<span class="text-danger">*</span></label>
                    <div class="col-md-12 col-lg-8">
                        <input asp-for="DepartmentCode" class="form-control" type="text" placeholder="Nhập mã phòng ban" />
                        <span asp-validation-for="DepartmentCode" class="text-danger"></span>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-12 col-lg-4 label-control">Tên phòng ban<span class="text-danger">*</span></label>
                    <div class="col-md-12 col-lg-8">
                        <input asp-for="DepartmentName" class="form-control" type="text" placeholder="Nhập tên phòng ban" />
                        <span asp-validation-for="DepartmentName" class="text-danger"></span>
                    </div>
                </div>
            </div>
        </form>

        <div class="h3 mb-2 row">
            <div class="col-md-12 col-lg-6">
                <a href="@Url.Action("Companies", "Company")" class="btn btn-secondary btn-icon-split">
                    <span class="icon text-white-50">
                        <i class="fas fa-arrow-left"></i>
                    </span>
                    <span class="text">Quay lại</span>
                </a>
                <a class="btn btn-success btn-icon-split" onclick="SaveDepartment()">
                    <span class="icon text-white-50">
                        <i class="fas fa-check"></i>
                    </span>
                    <span class="text">Tạo mới</span>
                </a>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function (){
        $(".listCompany").select2({
            placeholder: "Chọn...",
            allowClear: true
        });
    });

    function SaveDepartment() {
        var lstIdStr = 'DepartmentCode,DepartmentName';
        if (!RequireValidate(lstIdStr)) {
            toastr.error('Bạn chưa nhập đủ thông tin.');
            return;
        };

        var formData = new FormData();
        formData.append("CompanyId", $("#CompanyId").val());
        formData.append("DepartmentCode", $("#DepartmentCode").val());
        formData.append("DepartmentName", $("#DepartmentName").val());
        formData.append("__RequestVerificationToken", _token);
        postAjax('@Url.Action("InsertDepartment")', formData, function (data) {
            if (data.code == "200") {
                setTimeout(
                    function () {
                        location.href = '/danh-sach-phong-ban';
                    }, 1000);
            }
        });
    }
</script>